Descubra o que os usuários do SOLIDWORKS estão discutindo.
Categorias:
Ordenar:
Based on how I've seen other macros work, I would think it easier to hide all tables before showing specific tables, but that is a presumption on my part, not a requirement. Select Case swTableAnn.Type
SOLIDWORKS Forums
22 minutos atrás
Your 'Boundingbox' variable is (i assume) a "Feature". in this case, you can call double[]
SOLIDWORKS Forums
2 horas atrás
I was wondering if using a macro could fill in an annotation into the dimension text box? Our parts shrink in a furnace. I was wondering if it was possible to fill in a dimension text that takes the primary value and divides it by .810? Then have it loop through every dimension on the print.
SOLIDWORKS Forums
2 horas atrás
I'm trying to get this grind print macro to run then go into the red figure macro. I would like my print to copy then past itself as a new sheet, rename itself to what I specify in the macro, which will be RED FIGURE probably but I can change that from inside the macro itself. I then want it to take the active sheet and run the red figure conversion macro. I have been inside of both of these and have been cutting & pasting stuff to try to get it to work but I'm having no luck.
SOLIDWORKS Forums
3 horas atrás
I created this macro by the help of some users in this group, this macro will open all the parts/assemblies in the current SW session one by one and move the custom properties from the configuration tab to the custom tab and change the units to decimals instead of fractions. The macro is working flawlessly, my issue is I want the macro to run on a "Condition" for example: only run on file names that start with "12345".
SOLIDWORKS Forums
4 horas atrás
The problem is: after update to SW2018 multipart is Fromparrent+xxxxxx. Jive Software Version: 2018.10.0.1_jx, revision: 20181102150941.22e8dc7.release_2018.10.0-jx
SOLIDWORKS Forums
6 horas atrás
I have a list of certain parts (equal to the article number column in pdm) in an excel file (Column A). I need a macro (vba) that searches for the article number and then add the value of the description column of pdm in Column B (in caps). Jive Software Version: 2018.10.0.1_jx, revision: 20181102150941.22e8dc7.release_2018.10.0-jx
SOLIDWORKS Forums
12 horas atrás
Re: How to add fixed face? Dim swxobjstring As String = "SldWorks.Application.26"
SOLIDWORKS Forums
21 horas atrás
I am having a must puzzling problem. I making an application in VB.NET that connects to Solidworks and uses it's API to manipulate Temporary Bodies. I have a code block that looks like this:
SOLIDWORKS Forums
22 horas atrás
Solidworks api use (assembly file) - I can get all selected reference dimensions information (Exm: full name dimension and tolerance ) reference dimension (main assembly file sub assembly file parts)
SOLIDWORKS Forums
22 horas atrás
AddForce3 problem model.ClearSelection2(True) model.Extension.SelectByID2("", "FACE", x / 1000, y / 1000, z / 1000, True, 0, Nothing, 0) Dim selFace As Object selFace = model.SelectionManager.GetSelectedObject6(2, -1) Dim DistanceValues As Object = Nothing Dim ForceValues As Object = Nothing Dim beamArray As Object() = {selFace}
SOLIDWORKS Forums
22 horas atrás
For example: I've found an old macro on here that will open a part drawing that I think will be a good place for me to start my learning. Our file path would be: G:FixturesCustom Property 3DetailsCustom Property 3 & "-" & Custom Property 2.SLDDRW
SOLIDWORKS Forums
23 horas atrás
I am a little over my head as I am still trying to learn VBA but I need to figure out how to get a Macro that I downloaded to run through all configurations. We have a outside company creating some models for us and they have left a lot of reference geometry and sketches visible and we need it to be cleaned up. I sent them a macro that I have been using for awhile that cleans the models up but only works on the active configuration. The concern is that all the models have a lot of configurations
SOLIDWORKS Forums
1 dia atrás
Find parts that intersect with reference plane There is a reference plane, say 2mm away from top plane, parts that higher than 2mm will intersect with this plane, but parts lower than 2mm will not. Parts that is 2mm will conincidence with 2mm plane.
SOLIDWORKS Forums
1 dia atrás
for example, I want to remove the last 6 characters of the file name, insert date etc... I found a way to do so using "rename Expert". The problem is that I than have to manually select the files when opening an assembly.
SOLIDWORKS Forums
1 dia atrás
Although I am setting the SaveSettingsWithoutMeshing - property to 1, Solidworks is still somehow computing anything. Even with the property on, a CWR file was created and when trying to save the mesh settings with a finer mesh size, Solidworks need more time to run the CreateMesh command.
SOLIDWORKS Forums
1 dia atrás
I have a macro that I'm running from Excel... I've already got swPassedModel established and such, but here's the code that I'm trying to optimize: Dim vConfName, vConfParam, vConfValue As Variant Dim NumberOfConfigs As Integer Set swConfigMgr = swPassedModel.ConfigurationManager vConfName = swPassedModel.GetConfigurationNames For i = 0 To UBound(vConfName) bret = swConfigMgr.GetConfigurationParams(vConfName(i), vConfParam, vConfValue) Debug.Assert bret If vConfName(i)
SOLIDWORKS Forums
1 dia atrás
First challange is to seperate components that at top surface and bottom surface, this can be done by check their coordinates. bottom parts will have negative value at z direction. Second problem is that, how to measure each component's height relative to a specific surface.
SOLIDWORKS Forums
1 dia atrás
I'm new to the forum and have tried more times than I can count to figure out my problem. So far I can perform the outlined below process by using the GUI for creating a rotor blade and section of the hub wheel. The steps are
SOLIDWORKS Forums
2 dias atrás
To do this, you will need a programme that will hook into the Save As Dialog of Solidworks and manipulate the behaviour. This is not a problem, but not as easy as it sounds. If the programme is for internal use, maybeAutoHotkeycould be interesting. This scripting language allows you to do the hook easily.
SOLIDWORKS Forums
2 dias atrás
I am trying to find a way to efficiently measure the distance to the extreme point of a Temporary Body along a ray, starting from a specific coordinates (say 0;0;0), and going along a vector (say, 1;0;0), as illustrated below: There is an API callGetExtremePoint, however, it searches for the extreme point on the bodynotalong the ray, but along a general direction vector (from solidworks.help:This method returns the furthest possible point of intersection between a plane normal to the direction
SOLIDWORKS Forums
2 dias atrás
For a long time now, I've been coding an application in Visual Basic that connects to Solidworks, and makes various measurements or manipulations of Temporary (Virtual) Bodies. I have noticed, many times now, that Solidworks API calls sometimes happen very quickly, and sometimes they are slow, even if I'm repeating the exact same operation. Trying to track down the cause, I made absolutely sure that my application repeats the same operations identically (no broken references, no memory leaks or
SOLIDWORKS Forums
2 dias atrás
Type Mismatch Exception when calling AccessSelections method I am working through Mike Spens' book "Automating Solidworks 2017 Using Macros" and one of the examples is consistently crashing out with a type mismatch, and I don't understand why. The complete code is at the bottom.
SOLIDWORKS Forums
2 dias atrás
I can use "ModelDoc2.SelectByRay" correctly in a Part document. But when I use the same code in Assemlby document ,it is unsuccessful. 'Here is the code in vba====================================
SOLIDWORKS Forums
2 dias atrás